Subject: bug#61413: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Feb 2025 17:59:15 +0200

> Cc: [email-masked], Stefan Kangas <[email-masked]>, [email-masked],
>  Konstantin Kharlamov <[email-masked]>
> From: Kévin Le Gouguec <[email-masked]>
> Date: Wed, 19 Feb 2025 08:24:17 +0100
> 
> Rudolf Adamkovič <[email-masked]> writes:
> 
> So while I do find the current warnings-suppress emoji less-than-ideal
> aesthetically (as Stefan suggests, a theme-compliant SVG would look
> better¹), I remain convinced that the primary *functional* problem here
> is that help-echo bug.
> 
> (Which I sent patches for earlier²; however, since no-one commented on
> those AFAICT, I suppose I am in the minority in considering this an
> immediate and obvious bug that needs addressing)

There's been only 3 days since you sent the patch.  We don't always
have enough manpower to move so quickly, especially when the right way
of fixing this is not clear, and you proposed 3 possible ways to
choose from.

> ¹ https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61413#39

Mauro, could you please help with reviewing the patches and
recommending which fix is in your opinion the best one?

Thanks.